Bug 620682 - hello example fails to run on RHEL 4 or RHEL5
Summary: hello example fails to run on RHEL 4 or RHEL5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
(Show other bugs)
Version: beta
Hardware: All Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Jonathan Robie
QA Contact: Petr Matousek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 09:17 UTC by Gordon Sim
Modified: 2013-08-06 00:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-05 14:19:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gordon Sim 2010-08-03 09:17:27 UTC
Description of problem:

hello example on RHEL4/5 produces:

$ /usr/share/doc/python-qpid-0.7.946106/examples/api/hello
  File "/usr/share/doc/python-qpid-0.7.946106/examples/api/hello", line 24
    broker =  "localhost:5672" if len(sys.argv)<2 else sys.argv[1]
                                ^
SyntaxError: invalid syntax

Version-Release number of selected component (if applicable):

python-qpid-0.7.946106-11.el5

How reproducible:

100%

Steps to Reproduce:
1. run /usr/share/doc/python-qpid-0.7.946106/examples/api/hello
  
Actual results:

Syntax error

Expected results:

No syntax error

Comment 1 Jonathan Robie 2010-08-09 18:23:28 UTC
Fixed here:

http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=688688c265d541a47aade8f4290af064a47ef286

Also found another similar problem - before Python 2.5, you could not use finally together with a specific exception. That is fixed here:

http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=1ca7496b9db44598aabf63c729e8dde926805a81

Comment 2 Petr Matousek 2010-12-21 11:14:21 UTC
The issue has been fixed

Verified on RHEL4.8 and RHEL5.5, architectures: i386, x86_64

packages installed:
python-qpid-0.7.946106-14.el4
qpid-cpp-client-0.7.946106-22.el4
qpid-cpp-client-devel-0.7.946106-22.el4
qpid-cpp-client-devel-docs-0.7.946106-22.el4
qpid-cpp-client-ssl-0.7.946106-22.el4
qpid-cpp-server-0.7.946106-22.el4
qpid-cpp-server-devel-0.7.946106-22.el4
qpid-cpp-server-ssl-0.7.946106-22.el4
qpid-cpp-server-store-0.7.946106-22.el4
qpid-cpp-server-xml-0.7.946106-22.el4
qpid-java-client-0.7.946106-12.el4
qpid-java-common-0.7.946106-12.el4
qpid-java-example-0.7.946106-12.el4
qpid-tools-0.7.946106-11.el4

VERIFIED


Note You need to log in before you can comment on or make changes to this bug.